package com.bzd.system.service.yxgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 储值卡交易记录表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SYxglCzkCzkxfTransactionrecordService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSYxglCzkCzkxfTransactionrecord(PageData pd)throws Exception {
        return daoSupport.update("SYxglCzkCzkxfTransactionrecordMapper.addSYxglCzkCzkxfTransactionrecord", pd);
    }

    public List<PageData> findSYxglCzkCzkxfTransactionrecordList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SYxglCzkCzkxfTransactionrecordMapper.selectSYxglCzkCzkxfTransactionrecordList", pd);
    }

    public Integer SYxglCzkCzkxfTransactionrecordRemove(PageData pd)throws Exception {
        return daoSupport.delete("SYxglCzkCzkxfTransactionrecordMapper.SYxglCzkCzkxfTransactionrecordRemove", pd);
    }


    public Integer updateSYxglCzkCzkxfTransactionrecord(PageData pd)throws Exception {
        return daoSupport.update("SYxglCzkCzkxfTransactionrecordMapper.updateSYxglCzkCzkxfTransactionrecord", pd);
    }

}
